RENDER_SPEEDTEST(1)

NAME
render_speedtest - Benchmark tile rendering with renderd.

SYNOPSIS
render_speedtest [options]

DESCRIPTION
This manual page documents briefly the render_speedtest command.

render_speedtest renders a bunch of tiles at various zoom levels to benchmark the speed of the rendering.

OPTIONS
These programs follow the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below.

-s|--socket=SOCKET|HOSTNAME:PORT
    Specify the location of the renderd socket or hostname and port to connect to.

-m|--map=MAP
    Specify the rendering style to test. The default is "default"

-n|--num-threads=N
    The number of parallel request threads (default 1).

-z|--min-zoom=ZOOM
    Only render tiles greater or equal to this zoom level (default is 0).

-Z|--max-zoom=ZOOM
    Only render tiles less than or equal to this zoom level (default is 20).

-h|--help
    Print out a help text for render_speedtest

-V|--version
    Print out the version number for render_speedtest

SEE ALSO
renderd(1)

AUTHOR
render_speedtest was written by Jon Burgess and other OpenStreetMap project members.

This manual page was written by OpenStreetMap authors.